package com.xunwang.education.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xunwang.education.entity.InviteInfo;
import com.xunwang.education.mapper.InviteInfoMapper;
import com.xunwang.education.service.InviteInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Guan
 * @since 2023-01-03
 */
@Service
public class InviteInfoServiceImpl extends ServiceImpl<InviteInfoMapper, InviteInfo> implements InviteInfoService {

    //点击进入我收到的邀请详情，改变我方状态从未读变为待定
    @Override
    public void modifyStatusToHold(String id) {
        QueryWrapper<InviteInfo> wrapper = new QueryWrapper<>();
        wrapper.eq("id",id);
        wrapper.eq("read_status","未读");
        InviteInfo inviteInfo = baseMapper.selectOne(wrapper);
        if (inviteInfo != null){
            inviteInfo.setOperateStatus("待定");
            baseMapper.update(inviteInfo, new LambdaQueryWrapper<InviteInfo>().eq(InviteInfo::getId, id));
        }
    }
}
