package com.xunwang.education.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xunwang.commonutils.JwtUtils;
import com.xunwang.education.entity.MyFavoriteCourses;
import com.xunwang.education.entity.vo.TeacherList;
import com.xunwang.education.feign.ImageFeign;
import com.xunwang.education.mapper.MyFavoriteCoursesMapper;
import com.xunwang.education.service.MyFavoriteCoursesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;

import com.xunwang.education.entity.vo.FavoriteCourseVo;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Long
<<<<<<< HEAD
 * @since 2023-01-12
=======
 * @since 2023-01-04
>>>>>>> Guan-1-28
 */
@Service
public class MyFavoriteCoursesServiceImpl extends ServiceImpl<MyFavoriteCoursesMapper, MyFavoriteCourses> implements MyFavoriteCoursesService {

    @Autowired
    private ImageFeign imageFeign;

    @Override
    public List<String> findPersonCollect(HttpServletRequest request) {
        String uid = JwtUtils.getUIdByJwtToken(request);
        QueryWrapper<MyFavoriteCourses> queryWrapper = new QueryWrapper<MyFavoriteCourses>().select("course_id").eq("uid", uid);
        List<MyFavoriteCourses> list = list(queryWrapper);
        ArrayList<String> requires = new ArrayList<String>();
        for (MyFavoriteCourses myFavoriteNeeds : list) {
            requires.add(myFavoriteNeeds.getCourseId());
        }
        return requires;
    }

    @Override
    public int collect(HttpServletRequest request) {
        String uid = JwtUtils.getUIdByJwtToken(request);
        String requireId = request.getParameter("courseId");
        MyFavoriteCourses myFavoriteNeeds = new MyFavoriteCourses();
        myFavoriteNeeds.setCourseId(requireId);
        myFavoriteNeeds.setUid(uid);
        int insert = baseMapper.insert(myFavoriteNeeds);
        return insert;
    }

    @Override
    public boolean cancelCollect(HttpServletRequest request) {
        String uid = JwtUtils.getUIdByJwtToken(request);
        String requireId = request.getParameter("courseId");
        boolean remove = remove(new QueryWrapper<MyFavoriteCourses>().eq("uid", uid).eq("course_id", requireId));
        return remove;
    }

    @Override
    public List<TeacherList> findPersonCollection(HttpServletRequest request) {
        String uid = JwtUtils.getUIdByJwtToken(request);
        List<TeacherList> teacherLists = baseMapper.selectCollectCourse(uid);
        for (TeacherList teacherList : teacherLists) {
            String profilePhoto = teacherList.getProfilePhoto();
            String download = imageFeign.download(profilePhoto);
            teacherList.setProfilePhoto(download);
        }
        return teacherLists;
    }

}
