package com.xunwang.payment.mapper;

import com.xunwang.payment.entity.InviteInfo;
import com.xunwang.payment.entity.OrderInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xunwang.payment.entity.vo.MyOrder;

import java.util.List;

/**
 * <p>
 * 订单表 Mapper 接口
 * </p>
 *
 * @author Long
 * @since 2023-02-23
 */
public interface OrderInfoMapper extends BaseMapper<OrderInfo> {

    /**
     * 根据邀请id查询邀请信息
     * @param inviteId
     * @return
     */
    InviteInfo selectInviteInfo(String inviteId);

    /**
     * 根据uid查询用户openid
     * @param uid
     * @return
     */
    String getOpenIdByUid(String uid);

    List<MyOrder> getMyOrderList(String openid);
}
